#pragma once

#include "CoreMinimal.h"
#include "PresentationItemProgressComponent.h"
#include "TimedEffectNumberedChargesSurvivorCollectablePresentationComponent.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UTimedEffectNumberedChargesSurvivorCollectablePresentationComponent : public UPresentationItemProgressComponent
{
	GENERATED_BODY()

public:
	UTimedEffectNumberedChargesSurvivorCollectablePresentationComponent();
};

FORCEINLINE uint32 GetTypeHash(const UTimedEffectNumberedChargesSurvivorCollectablePresentationComponent) { return 0; }
